Overview
PATCH
/access/personas/{id}/tools/{toolName}registrySet a tool grant's autonomy flag (404 if the tool isn't granted)
Update fields of a record in tools by id, toolName.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
- toolNamepathstring
Request body
application/json · optional
- autonomousboolean
Example
{
"autonomous": true
}Responses
200
the updated grant
- toolRegistryPersonaToolGrant
Example
{
"tool": {
"toolName": "string",
"autonomous": true,
"createdAt": "string"
}
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PATCH "https://api.agenticdeveloperhub.com/access/personas/{id}/tools/{toolName}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"autonomous": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/access/personas/{id}/tools/{toolName}", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"autonomous\": true\n}",
});
const data = await res.json();